Bug 430191 - TurboGears should only listen on localhost in the production config
TurboGears should only listen on localhost in the production config
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: WebUI (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: freeipa10 429034
  Show dependency treegraph
 
Reported: 2008-01-24 22:55 EST by Rob Crittenden
Modified: 2015-01-04 18:30 EST (History)
1 user (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-27 03:13:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
listen only on localhost (851 bytes, patch)
2008-01-25 10:18 EST, Rob Crittenden
no flags Details | Diff

  None (edit)
Description Rob Crittenden 2008-01-24 22:55:35 EST
The TurboGears UI is supposed to be hidden behind Apache so we can do kerberos
SSO authentication. We don't want people going to the server directly so it
should only listen on localhost.

The fix is to add the following to ipa_webgui.cfg:

server.server_port = 8080
server.socket_host="127.0.0.1"
Comment 1 Rob Crittenden 2008-01-25 10:18:02 EST
Created attachment 292947 [details]
listen only on localhost
Comment 2 Yi Zhang 2008-05-28 13:09:29 EDT
QA Verified on May 28, 2008 (Yi)

Build used: May 28, 2008 (i386)

file location:
/usr/share/ipa/ipa_webgui.cf

Note You need to log in before you can comment on or make changes to this bug.